%define name libgalago
%define version 0.3.2
%define release 3mdk
%define major 1
%define libname %mklibname galago %major

Summary: Base library of Galago 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago.info/files/releases/source/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.galago.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dbus-devel

%description
This is the base library of the Galago desktop presence framework.

%package -n %libname
Group: System/Libraries
Summary: Base library of Galago - shared library
#gw for the translations
Requires: %name >= %version
#gw for the sharp bindings
Provides: galago%major = %version-%release

%description -n %libname
This is the base library of the Galago desktop presence framework.

%package -n %libname-devel
Group: Development/C
Summary: Base library of Galago - headers
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
This is the base library of the Galago desktop presence framework.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -rf %buildroot%_datadir/autopackage
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*a
%_libdir/pkgconfig/libgalago.pc
%_includedir/%name/

%changelog
* Fri Jun 17 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-3mdk
- description (Buchan)

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- add provides to the library package

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package
